summaryrefslogtreecommitdiff
path: root/definitions/jessie/base.sh
diff options
context:
space:
mode:
authorvarac <varacanero@zeromail.org>2015-04-29 14:24:11 +0200
committervarac <varacanero@zeromail.org>2015-04-29 14:24:11 +0200
commitd3bfd57f39246cd41688b9256f262b6efdddfbf4 (patch)
tree23849b11ccb3af3244f549b07be3ec337dc0df9b /definitions/jessie/base.sh
parentfdd0c448125173a69582a59e4a969f4dabcb52e7 (diff)
added definitions/jessie based on templates/Debian-8.0-amd64-netboot
Diffstat (limited to 'definitions/jessie/base.sh')
-rw-r--r--definitions/jessie/base.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/definitions/jessie/base.sh b/definitions/jessie/base.sh
new file mode 100644
index 0000000..e3642f1
--- /dev/null
+++ b/definitions/jessie/base.sh
@@ -0,0 +1,25 @@
+# Update the box
+apt-get -y update
+apt-get -y install linux-headers-$(uname -r) build-essential
+apt-get -y install zlib1g-dev libssl-dev libreadline-gplv2-dev
+apt-get -y install curl unzip
+
+# Set up sudo
+echo 'vagrant ALL=(ALL) NOPASSWD: ALL' > /etc/sudoers.d/vagrant
+
+# Tweak sshd to prevent DNS resolution (speed up logins)
+echo 'UseDNS no' >> /etc/ssh/sshd_config
+
+# Remove 5s grub timeout to speed up booting
+cat <<EOF > /etc/default/grub
+# If you change this file, run 'update-grub' afterwards to update
+# /boot/grub/grub.cfg.
+
+GRUB_DEFAULT=0
+GRUB_TIMEOUT=0
+GRUB_DISTRIBUTOR=`lsb_release -i -s 2> /dev/null || echo Debian`
+GRUB_CMDLINE_LINUX_DEFAULT="quiet"
+GRUB_CMDLINE_LINUX="debian-installer=en_US"
+EOF
+
+update-grub